package cn.com.tenlion.systembase.controller.route.organization;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: OrganizationController
 * @Description: 社会组织
 * @Author: CodeFactory
 * @Date: 2021-11-04 15:17:38
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "社会组织路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/organization")
public class OrganizationRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("organization/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("organization/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("organization/list");
    }

}